<template>
  <div>
    <header class="header">
      <nav class="navbar">
        <ul class="navbar-nav">
          <li class="logo">
            <a class="nav-link">
              <svg viewBox="0 0 512 512 ">
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="M450.632,251.294L301.671,31.399C288.352,11.738,266.223,0,242.475,0H82.587c-8.72,0-16.675,4.785-20.761,12.488
                    S58.24,29.461,63.13,36.68l148.301,218.921L70.039,474.76v0c-4.738,7.344-5.07,16.31-0.889,23.984S81.046,511,89.786,511h159.763
                    c24.396,0,46.855-12.238,60.081-32.738l141.094-218.696C452.354,257.039,452.318,253.783,450.632,251.294z M297.026,470.13
                    C286.575,486.329,268.826,496,249.549,496H89.786c-3.161,0-5.952-1.657-7.464-4.433c-1.513-2.776-1.393-6.019,0.321-8.675
                    l144.081-223.326c1.63-2.527,1.594-5.783-0.093-8.272L75.549,28.267c-1.796-2.651-1.972-5.922-0.472-8.75
                    c1.5-2.828,4.308-4.517,7.509-4.517h159.888c18.766,0,36.253,9.275,46.777,24.812l146.179,215.789L297.026,470.13z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="M208.473,338.969c-3.479-2.245-8.122-1.245-10.368,2.236l-14.326,22.205c-2.246,3.48-1.245,8.123,2.236,10.368
                    c1.257,0.811,2.666,1.199,4.059,1.199c2.462,0,4.875-1.212,6.309-3.435l14.326-22.204
                    C212.955,345.857,211.954,341.215,208.473,338.969z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="M178.663,385.175c-3.479-2.245-8.123-1.244-10.368,2.236l-42.175,65.371c-2.246,3.48-1.244,8.123,2.236,10.368
                    c1.257,0.811,2.666,1.199,4.059,1.199c2.462,0,4.875-1.212,6.309-3.435l42.175-65.371
                    C183.145,392.062,182.143,387.42,178.663,385.175z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="M140.672,31.998h-26.198c-4.142,0-7.5,3.358-7.5,7.5s3.358,7.5,7.5,7.5h26.198c4.142,0,7.5-3.358,7.5-7.5
		                S144.814,31.998,140.672,31.998z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="M244.421,31.998h-72.093c-4.142,0-7.5,3.358-7.5,7.5s3.358,7.5,7.5,7.5h72.093c4.142,0,7.5-3.358,7.5-7.5
		                S248.563,31.998,244.421,31.998z"
                />
              </svg>
              <span class="link-text logo-text"></span>
            </a>
          </li>
          <li class="nav-item">
            <nuxt-link class="nav-link" to="/">
              <svg viewBox="0 0 512 512 " width="50">
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="m494.398 167.687h-4.887l-45.821-123.365c-4.012-10.801-14.448-18.058-25.97-18.058h-323.441c-11.521 0-21.958 7.257-25.97 18.058l-45.82 123.365h-4.887c-9.706 0-17.602 7.896-17.602 17.602v14.142c0 9.706 7.896 17.602 17.602 17.602h2.602v164.39c0 4.142 3.357 7.5 7.5 7.5s7.5-3.358 7.5-7.5v-164.39h117.76c6.59 0 12.786-2.566 17.447-7.227l85.589-85.591 85.591 85.591c4.66 4.66 10.856 7.226 17.446 7.226h117.76v19.884c0 4.142 3.357 7.5 7.5 7.5s7.5-3.358 7.5-7.5v-19.884h2.602c9.705 0 17.602-7.896 17.602-17.602v-14.142c-.001-9.705-7.897-17.601-17.603-17.601zm-412.028-118.143c1.84-4.953 6.626-8.28 11.909-8.28h323.441c5.283 0 10.069 3.328 11.909 8.28l43.881 118.143h-104.253l-95.811-95.81c-4.66-4.66-10.855-7.227-17.446-7.227s-12.786 2.566-17.446 7.227l-95.811 95.81h-104.254zm414.63 149.887c0 1.435-1.167 2.602-2.602 2.602h-135.361c-2.584 0-5.014-1.006-6.84-2.833l-90.894-90.894c-1.407-1.407-3.314-2.197-5.304-2.197s-3.896.79-5.304 2.197l-90.893 90.894c-1.827 1.827-4.257 2.833-6.841 2.833h-135.359c-1.435 0-2.602-1.167-2.602-2.602v-14.142c0-1.435 1.167-2.602 2.602-2.602h128.248c1.989 0 3.896-.79 5.304-2.197l98.008-98.007c1.826-1.827 4.255-2.833 6.839-2.833s5.013 1.006 6.839 2.833l98.008 98.007c1.407 1.407 3.314 2.197 5.304 2.197h128.248c1.435 0 2.602 1.167 2.602 2.602v14.142z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="m450.962 425.126c4.143 0 7.5-3.358 7.5-7.5v-133.341c0-4.142-3.357-7.5-7.5-7.5h-101.017c-4.143 0-7.5 3.358-7.5 7.5v133.341c0 4.142 3.357 7.5 7.5 7.5zm-7.5-47.325h-35.509v-35.508h35.509zm-50.509 0h-35.508v-35.508h35.508zm50.509 32.325h-86.017v-17.325h86.017zm0-82.834h-35.509v-35.508h35.509zm-50.509-35.507v35.508h-35.508v-35.508z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="m162.055 425.126c4.143 0 7.5-3.358 7.5-7.5v-133.341c0-4.142-3.357-7.5-7.5-7.5h-101.017c-4.143 0-7.5 3.358-7.5 7.5v133.341c0 4.142 3.357 7.5 7.5 7.5zm-7.5-47.325h-35.508v-35.508h35.508zm-50.508 0h-35.509v-35.508h35.509zm50.508 32.325h-86.017v-17.325h86.017zm0-82.834h-35.508v-35.508h35.508zm-50.508-35.507v35.508h-35.509v-35.508z"
                />
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="m280.244 309.11h-48.488c-4.143 0-7.5 3.358-7.5 7.5v32.325c0 4.142 3.357 7.5 7.5 7.5h48.488c4.143 0 7.5-3.358 7.5-7.5v-32.325c0-4.142-3.357-7.5-7.5-7.5zm-7.5 32.325h-33.488v-17.325h33.488z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="m295.825 214.583c0-21.959-17.865-39.825-39.825-39.825s-39.825 17.866-39.825 39.825 17.865 39.826 39.825 39.826 39.825-17.866 39.825-39.826zm-64.65 0c0-13.688 11.137-24.825 24.825-24.825s24.825 11.137 24.825 24.825-11.137 24.826-24.825 24.826-24.825-11.137-24.825-24.826z"
                />
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="m504.5 436.39h-12.703v-164.39c0-4.142-3.357-7.5-7.5-7.5s-7.5 3.358-7.5 7.5v164.39h-156.728v-152.105c0-4.142-3.357-7.5-7.5-7.5h-113.138c-4.143 0-7.5 3.358-7.5 7.5v152.105h-156.728v-19.884c0-4.142-3.357-7.5-7.5-7.5s-7.5 3.358-7.5 7.5v19.884h-12.703c-4.143 0-7.5 3.358-7.5 7.5v34.346c0 4.142 3.357 7.5 7.5 7.5h497c4.143 0 7.5-3.358 7.5-7.5v-34.346c0-4.142-3.357-7.5-7.5-7.5zm-297.569-54.701h10.684c4.143 0 7.5-3.358 7.5-7.5s-3.357-7.5-7.5-7.5h-10.684v-74.904h98.139v144.605h-98.139zm290.069 89.047h-482v-19.346h482z"
                />
              </svg>
              <span class="link-text">home</span>
            </nuxt-link>
          </li>
          <li v-if="$store.state.store.isUserLoggedIn" class="nav-item">
            <nuxt-link class="nav-link" to="/map">
              <svg viewBox="0 0 512 512">
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="m504.396 128.514c4.2 0 7.604-3.404 7.604-7.604v-50.59c0-16.092-6.27-31.225-17.655-42.612-11.386-11.384-26.518-17.655-42.611-17.655h-39.386c-4.2 0-7.604 3.404-7.604 7.604v97.733h-397.14c-4.2 0-7.604 3.404-7.604 7.604v371.348c0 4.2 3.405 7.604 7.604 7.604h107.19c4.2 0 7.604-3.404 7.604-7.604s-3.405-7.604-7.604-7.604h-99.586v-47.365c89.505-.317 178.611-6.665 265.113-18.919-1.897 22.035-2.337 44.19-1.34 66.284h-118.866c-4.2 0-7.604 3.404-7.604 7.604s3.404 7.604 7.604 7.604h291.62c32.845 0 60.266-27.422 60.266-60.266v-277.062c0-4.2-3.405-7.604-7.604-7.604-4.2 0-7.604 3.404-7.604 7.604v237.031c-.787-.884-1.603-1.749-2.447-2.592-11.218-11.22-26.749-17.656-42.611-17.656h-31.782v-356.139h31.782c10.526 0 20.504 3.589 28.537 10.189 1.148.943 2.255 1.947 3.32 3.011 8.512 8.514 13.201 19.827 13.201 31.858v50.591c-.001 4.199 3.403 7.603 7.603 7.603zm-99.652 211.776c-18.675 4.279-37.707 8.307-56.827 11.99 10.157-39.192 25.644-76.719 46.135-111.772h10.692zm0-208.054c-14.848 16.655-28.695 34.433-41.204 52.956h-129.12c10.231-16.415 16.291-35.214 17.555-54.594h152.768v1.638zm-209.177-1.637c-3.765 30.72-30.002 54.594-61.729 54.594h-118.63v-54.594zm-61.415 149.712c4.293-1.82 8.83-2.843 13.515-2.843 18.381 0 33.335 14.954 33.335 33.335 0 8.588-5.499 24.941-13.682 40.692-9.192 17.69-16.956 25.733-19.716 27.24-4.379-2.274-7.658-7.356-10.414-11.261-11.963-17.177-22.857-44.189-22.857-56.671-.001-13.17 7.777-25.133 19.819-30.492zm45.495 80.408c8.007-14.931 16.563-35.885 16.563-49.916 0-26.767-21.776-48.543-48.543-48.543-6.774 0-13.402 1.495-19.625 4.124-17.567 7.783-28.918 25.219-28.918 44.419 0 17.68 13.281 47.694 25.614 65.404.951 1.368 1.936 2.71 2.956 4.027-37.289 2.404-74.836 3.679-112.487 3.821v-143.547h315.944c-19.425 38.681-33.663 79.666-42.402 122.078-39.166 6.124-78.909 10.942-119.023 14.459 3.212-4.544 6.52-9.985 9.921-16.326zm114.557 126.019c-1.155-24.805-.442-49.697 2.173-74.392.304-3.627-2.5-8.746-8.668-8.324-88.778 13.054-180.416 19.832-272.501 20.161v-24.899c94.086-.351 188.233-7.681 281.156-22.503 3.153-.503 5.655-2.921 6.265-6.055 9.141-46.91 25.201-92.074 47.734-134.238 2.027-3.415-.082-11.163-6.707-11.188h-328.448v-24.899h118.629c40.122 0 73.214-30.677 77.048-69.802h25.855c-1.571 20.961-9.597 41.089-22.996 57.365-3.334 3.921-1.349 12.037 5.871 12.437h147.985c2.549 0 4.928-1.276 6.337-3.4 9.498-14.318 19.818-28.205 30.806-41.464v69.763h-15.03c-2.676 0-5.155 1.406-6.527 3.703-24.401 40.829-42.191 84.981-52.876 131.231-.824 3.888 2.006 9.828 8.795 9.188 22.039-4.085 44.073-8.623 65.638-13.515v26.971c-24.962 5.384-50.518 10.311-76.055 14.661-3.292.56-5.833 3.204-6.264 6.516-3.561 27.391-4.645 55.097-3.295 82.684-8.307-.001-16.616-.001-24.925-.001zm157.53-90.129c11.858 0 23.469 4.811 31.857 13.201 8.512 8.512 13.201 19.83 13.201 31.87 0 24.431-20.627 45.058-45.058 45.058h-117.373c-1.269-25.068-.462-50.236 2.459-75.167 25.675-4.456 51.323-9.484 76.339-14.962z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="m296.007 274.271c1.841-4.796-.554-10.176-5.35-12.017s-10.176.554-12.017 5.35.554 10.176 5.35 12.017c4.796 1.842 10.177-.554 12.017-5.35z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="m371.492 430.124c-4.796-1.841-10.176.554-12.017 5.35s.554 10.176 5.35 12.017 10.176-.554 12.017-5.35-.555-10.176-5.35-12.017z"
                />
              </svg>
              <span class="link-text">map</span>
            </nuxt-link>
          </li>
          <li v-if="$store.state.store.isUserLoggedIn" class="nav-item">
            <nuxt-link class="nav-link" to="/browse">
              <svg viewBox="0 0 512 512">
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="m475.571 189.773c-.912-.912-1.839-1.802-2.774-2.682v-28.821c0-28.659-23.316-51.975-51.975-51.975h-91.169v-26.12c0-27.886-22.687-50.572-50.572-50.572h-85.363c-27.886 0-50.572 22.686-50.572 50.572v26.12h-91.171c-28.659 0-51.975 23.316-51.975 51.975v231.351c0 28.659 23.316 51.975 51.975 51.975h108.516c4.142 0 7.5-3.358 7.5-7.5s-3.358-7.5-7.5-7.5h-108.516c-20.389 0-36.976-16.587-36.976-36.976v-151.3c14.686 21.784 38.844 36.677 66.519 38.728v27.306c0 15.595 12.688 28.283 28.283 28.283 15.596 0 28.284-12.688 28.284-28.283v-27.061h125.329c0 .12-.004.239-.004.359 0 25.539 7.659 49.898 21.877 70.467l-15.922 15.922c-5.56-1.573-11.79-.184-16.157 4.185l-61.159 61.159c-12.106 12.106-12.106 31.804 0 43.91 12.134 12.134 31.775 12.136 43.91 0l61.159-61.159c4.368-4.368 5.758-10.597 4.185-16.157l15.936-15.936c42.143 29.025 98.319 29.117 140.56.235v9.343c0 20.389-16.587 36.976-36.976 36.976h-118.464c-4.142 0-7.5 3.358-7.5 7.5s3.358 7.5 7.5 7.5h118.463c28.659 0 51.975-23.316 51.975-51.975v-21.407c.934-.878 1.861-1.768 2.774-2.681 48.569-48.569 48.575-127.186 0-175.761zm-317.427-109.598c0-19.615 15.958-35.573 35.573-35.573h85.363c19.615 0 35.573 15.958 35.573 35.573v26.12h-15.999v-26.12c0-10.793-8.781-19.574-19.574-19.574h-85.363c-10.793 0-19.574 8.781-19.574 19.574v26.12h-15.999zm30.998 26.12v-26.12c0-2.522 2.052-4.574 4.575-4.574h85.363c2.523 0 4.575 2.052 4.575 4.574v26.12zm-66.056 175.007h-26.568v-25.248c0-7.325 5.959-13.284 13.284-13.284s13.284 5.959 13.284 13.284zm-13.284 36.337c-7.325 0-13.284-5.959-13.284-13.284v-8.054h26.568v8.054c0 7.325-5.959 13.284-13.284 13.284zm28.283-55.344v-6.241c0-15.595-12.688-28.283-28.284-28.283-15.595 0-28.283 12.688-28.283 28.283v5.931c-37.233-3.336-66.519-34.696-66.519-72.782v-30.933c0-20.389 16.587-36.976 36.976-36.976h368.847c20.389 0 36.976 16.587 36.976 36.976v16.731c-47.425-32.537-114.229-28.988-157.987 14.771-19.815 19.814-32.114 45.141-35.467 72.522h-126.259zm87.267 200.395c-6.272 6.272-16.425 6.273-22.698 0-3.032-3.032-4.701-7.062-4.701-11.349s1.669-8.318 4.701-11.349l42.369-42.369 22.698 22.698zm61.159-61.159-8.184 8.184-22.698-22.698 8.184-8.184c.288-.287.665-.431 1.042-.431s.754.144 1.041.43c.002.001.003.003.005.004l20.61 20.61c.574.575.574 1.51 0 2.085zm5.662-17.635-10.726-10.726 13.167-13.167c1.672 1.885 3.4 3.733 5.197 5.529 1.801 1.801 3.649 3.527 5.531 5.194zm18.244-28.969c-20.641-20.64-32.008-48.084-32.008-77.274s11.367-56.634 32.008-77.274c42.706-42.707 111.836-42.713 154.548 0 42.707 42.706 42.713 111.836 0 154.548-42.708 42.708-111.836 42.713-154.548 0z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="m469.969 287.951c-4.047-.88-8.043 1.686-8.922 5.735-3.052 14.034-10.06 26.848-20.268 37.055-29.341 29.34-76.832 29.343-106.176 0-29.273-29.273-29.273-76.903 0-106.176 29.341-29.341 76.832-29.344 106.176 0 10.197 10.197 17.203 22.997 20.26 37.016.882 4.047 4.879 6.616 8.925 5.73 4.047-.882 6.612-4.878 5.73-8.925-3.67-16.832-12.076-32.194-24.308-44.427-35.203-35.203-92.181-35.207-127.388 0-35.121 35.121-35.121 92.267 0 127.388 35.12 35.12 92.265 35.122 127.388 0 12.245-12.245 20.654-27.624 24.318-44.474.879-4.047-1.688-8.041-5.735-8.922z"
                />
              </svg>
              <span class="link-text">browse</span>
            </nuxt-link>
          </li>
          <li v-if="$store.state.store.isUserLoggedIn" class="nav-item">
            <nuxt-link
              class="nav-link"
              :to="'/users/' + this.$store.state.store.user.user_id"
            >
              <svg viewBox="0 0 512 512">
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="m512 256.004c0-141.482-114.496-256-256-256-141.483 0-256 114.496-256 256 0 68.38 26.628 132.667 74.98 181.019.147.147.298.288.446.435.086.09.176.175.267.26 98.011 97.271 259.062 100.782 360.611.002.092-.086.183-.173.271-.265.147-.146.298-.287.444-.433 48.352-48.35 74.981-112.637 74.981-181.018zm-256-241.033c133.211 0 241.034 107.802 241.034 241.034 0 58.36-20.601 113.553-58.362 157.276v-3.506c0-31.586-22.512-58.845-53.531-64.814l-40.46-7.786c-.893-1.031-1.936-1.935-3.109-2.653l-21.471-13.158c4.185-2.234 5.235-2.975 16.264-9.406 18.752-10.998 30.398-31.337 30.391-53.081-.007-21.197-.025-77.835-.027-85.414 0-61.153-49.789-110.728-110.729-110.728-29.356 0-57.014 11.371-77.88 32.017-2.938 2.906-2.962 7.644-.056 10.582 2.908 2.938 7.645 2.963 10.583.056 18.045-17.858 41.965-27.691 67.353-27.691 12.295 0 24.055 2.331 34.864 6.571-4.381 46.228-44.207 81.338-91.047 79.531-13.499-.525-24.943 10.259-24.943 24.025v30.162c0 .038 0 .076.001.113.323 21.416 8.904 41.498 24.161 56.546 3.255 3.211 6.747 6.094 10.417 8.675v27.282l-2.427 1.487c-9.609-4.252-14.366-7.654-23.82-13.045-14.189-8.322-23.001-23.713-22.996-40.167l.027-85.419c0-14.365 3.1-28.175 9.216-41.045 1.773-3.733.185-8.197-3.548-9.971-3.733-1.773-8.196-.185-9.971 3.548-7.076 14.893-10.664 30.863-10.664 47.466l-.027 85.416c-.007 21.744 11.638 42.083 30.391 53.081 11.104 6.474 12.088 7.177 16.263 9.406l-21.471 13.158c-1.173.719-2.215 1.622-3.108 2.653l-40.46 7.786c-31.017 5.969-53.53 33.227-53.53 64.814v3.506c-37.761-43.722-58.362-98.915-58.362-157.275 0-133.21 107.803-241.032 241.034-241.032zm-90.128 337.721c.454.773.988 1.508 1.603 2.191l14.251 15.83-8.907 7.915c-4.071 3.617-6.013 9.148-5.067 14.435 4.976 27.798 40.929 74.523 64.576 102.832-54.189-5.248-104.531-28.486-144.033-66.789v-19.332c0-24.424 17.408-45.502 41.393-50.118zm33.369-173.936c37.416 1.444 72.65-17.414 92.089-49.474 4.957 11.186 13.626 26.422 28.426 42.362 1.551 1.67 2.405 3.853 2.405 6.149v40.138c-.279 17.444-7.275 33.801-19.705 46.061-25.874 25.521-67.272 25.288-92.91 0-12.43-12.26-19.427-28.617-19.705-46.061v-30.105c-.001-5.198 4.328-9.285 9.4-9.07zm152.514-5.89c-3.328-1.557-7.037-2.433-10.947-2.433h-4.854c-1.063-3.308-2.82-6.374-5.232-8.971-21.578-23.241-28.663-44.82-30.381-51.148 2.179-6.148 3.772-12.519 4.75-19.043 27.774 16.651 46.451 46.971 46.664 81.595zm.035 86.014c.005 16.454-8.806 31.845-22.996 40.166-9.485 5.409-14.207 8.792-23.82 13.045l-2.427-1.487v-27.281c3.669-2.581 7.161-5.465 10.417-8.676 14.259-14.063 22.681-32.523 23.987-52.359h3.857c3.854 0 7.579-.838 10.969-2.423zm-10.982-73.481c6.039 0 10.955 4.911 10.962 10.949v.019c-.003 6.051-4.901 10.955-10.962 10.955h-3.682v-21.924h3.682zm-53.227 106.238c.002 45.869.232 48.599-.696 61.256-18.795 12.029-42.963 12.038-61.77 0-.931-12.678-.698-15.264-.696-61.256 20.117 8.502 43.04 8.505 63.162 0zm-2.582 79.189c-2.999 22.4-10.528 64.07-28.998 118.622-18.472-54.56-26.001-96.225-28.999-118.622 18.303 8.024 39.473 8.12 57.997 0zm-75.549-42.668c.076 4.776-.331 13.763 1.021 29.54 3.595 41.968 15.864 87.736 25.851 119.591-45.186-55.414-52.631-80.113-53.839-86.864-.034-.187.079-.437.274-.61l10.1-8.974c2.685-2.385 4.273-5.673 4.474-9.258s-1.013-7.03-3.416-9.699l-14.044-15.599zm106.397 107.471c-3.416-2.327-8.071-1.443-10.397 1.971-9.476 13.91-20.209 27.815-29.727 39.546 9.974-31.835 22.215-77.539 25.805-119.448 1.354-15.821.946-24.797 1.021-29.54l29.578 18.126-14.044 15.6c-2.403 2.669-3.615 6.113-3.415 9.698.201 3.586 1.789 6.874 4.473 9.259l10.1 8.974c.195.173.308.424.275.61-.85 4.745-3.011 10.694-6.424 17.684-1.813 3.714-.273 8.194 3.44 10.008 3.715 1.815 8.194.273 10.008-3.44 4.078-8.35 6.599-15.42 7.708-21.614.946-5.287-.996-10.819-5.067-14.435l-8.908-7.915 14.252-15.83c.614-.683 1.149-1.417 1.602-2.191l36.186 6.964c23.985 4.616 41.392 25.694 41.392 50.118v19.333c-39.503 38.303-89.845 61.541-144.035 66.789 11.279-13.507 25.738-31.652 38.148-49.869 2.327-3.416 1.444-8.072-1.971-10.398z"
                />
              </svg>
              <span class="link-text">profile</span>
            </nuxt-link>
          </li>
          <li class="nav-item">
            <nuxt-link class="nav-link" to="/about">
              <svg viewBox="0 0 512 512">
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="m454.042 93.769c-2.63-3.208-7.363-3.674-10.57-1.045-3.208 2.631-3.675 7.363-1.044 10.57 35.177 42.894 54.551 97.125 54.551 152.706 0 64.368-25.066 124.883-70.581 170.397-45.515 45.515-106.03 70.581-170.397 70.581s-124.882-25.066-170.397-70.581c-45.516-45.514-70.582-106.029-70.582-170.397s25.066-124.883 70.581-170.397c45.515-45.515 106.029-70.582 170.397-70.582 60.632 0 118.573 22.597 163.152 63.629 3.052 2.81 7.803 2.613 10.613-.44 2.809-3.052 2.612-7.803-.44-10.613-47.359-43.59-108.914-67.597-173.325-67.597-68.38 0-132.667 26.628-181.019 74.981-48.352 48.352-74.981 112.639-74.981 181.019s26.629 132.667 74.98 181.019c48.353 48.353 112.64 74.981 181.02 74.981s132.667-26.628 181.019-74.981c48.352-48.352 74.981-112.639 74.981-181.019 0-59.044-20.584-116.66-57.958-162.231z"
                />
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="m256 53.371c-111.729 0-202.628 90.899-202.628 202.629s90.899 202.629 202.628 202.629 202.628-90.899 202.628-202.629-90.899-202.629-202.628-202.629zm0 390.236c-103.447 0-187.607-84.16-187.607-187.607s84.16-187.607 187.607-187.607 187.607 84.16 187.607 187.607-84.16 187.607-187.607 187.607z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="m234.629 166.864c18.343 0 33.267-14.924 33.267-33.267s-14.924-33.267-33.267-33.267c-18.344 0-33.267 14.923-33.267 33.267s14.924 33.267 33.267 33.267zm0-51.513c10.061 0 18.245 8.185 18.245 18.245 0 10.061-8.185 18.246-18.245 18.246-10.061 0-18.246-8.185-18.246-18.246.001-10.06 8.185-18.245 18.246-18.245z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="m283.286 358.057h-18.65c-1.764 0-3.2-1.436-3.2-3.2v-142.826c0-14.781-12.026-26.807-26.807-26.807s-26.807 12.025-26.807 26.807v51.73c0 4.148 3.362 7.511 7.511 7.511 4.148 0 7.511-3.363 7.511-7.511v-51.73c0-6.499 5.287-11.785 11.785-11.785 6.499 0 11.786 5.287 11.786 11.785v142.826c0 10.047 8.174 18.221 18.221 18.221h18.65c6.5 0 12.025 5.027 12.315 11.206.155 3.265-.998 6.36-3.242 8.713-2.247 2.355-5.276 3.652-8.529 3.652h-32.144c-15.904 0-28.843-12.939-28.843-28.843v-69.358c0-4.148-3.362-7.511-7.511-7.511s-7.511 3.363-7.511 7.511v69.358c0 24.187 19.678 43.865 43.865 43.865h32.144c7.399 0 14.288-2.949 19.397-8.304 5.107-5.353 7.728-12.381 7.38-19.788-.673-14.312-12.674-25.522-27.321-25.522z"
                />
              </svg>
              <span class="link-text">about</span>
            </nuxt-link>
          </li>
          <li
            v-if="$store.state.store.isUserLoggedIn"
            class="nav-item"
            @click="logout"
          >
            <nuxt-link class="nav-link" to="/">
              <svg viewBox="0 0 512 512" class="icon-logout">
                <g>
                  <path
                    fill="currentColor"
                    class="icon-secondary"
                    d="M 223.9375 87.644531 C 228.078125 87.644531 231.4375 84.285156 231.4375 80.144531 C 231.4375 76.003906 228.078125 72.644531 223.9375 72.644531 L 159.808594 72.644531 C 155.664062 72.644531 152.308594 76.003906 152.308594 80.144531 L 152.308594 192.371094 C 152.308594 196.511719 155.664062 199.871094 159.808594 199.871094 L 223.9375 199.871094 C 228.078125 199.871094 231.4375 196.511719 231.4375 192.371094 C 231.4375 188.226562 228.078125 184.871094 223.9375 184.871094 L 167.308594 184.871094 L 167.308594 143.753906 L 215.917969 143.757812 C 220.0625 143.757812 223.417969 140.402344 223.417969 136.257812 C 223.417969 132.113281 220.0625 128.757812 215.917969 128.757812 L 167.304688 128.753906 L 167.304688 87.644531 Z M 223.9375 87.644531 "
                  />
                  <path
                    fill="currentColor"
                    class="icon-secondary"
                    d="M 331.699219 73.835938 C 328.21875 71.597656 323.574219 72.605469 321.335938 76.089844 L 291.570312 122.386719 L 261.808594 76.089844 C 259.566406 72.601562 254.925781 71.59375 251.445312 73.835938 C 247.960938 76.074219 246.949219 80.714844 249.191406 84.199219 L 282.65625 136.257812 L 249.191406 188.316406 C 246.949219 191.796875 247.960938 196.441406 251.445312 198.679688 C 252.699219 199.488281 254.105469 199.871094 255.492188 199.871094 C 257.960938 199.871094 260.375 198.65625 261.808594 196.425781 L 291.570312 150.128906 L 321.335938 196.425781 C 322.769531 198.65625 325.183594 199.871094 327.652344 199.871094 C 329.039062 199.871094 330.445312 199.488281 331.699219 198.679688 C 335.183594 196.441406 336.191406 191.800781 333.953125 188.316406 L 300.488281 136.257812 L 333.953125 84.199219 C 336.191406 80.714844 335.183594 76.074219 331.699219 73.835938 Z M 331.699219 73.835938 "
                  />
                  <path
                    fill="currentColor"
                    class="icon-secondary"
                    d="M 353.710938 80.144531 L 353.710938 192.371094 C 353.710938 196.511719 357.070312 199.871094 361.210938 199.871094 C 365.355469 199.871094 368.710938 196.511719 368.710938 192.371094 L 368.710938 80.144531 C 368.710938 76.003906 365.355469 72.644531 361.210938 72.644531 C 357.070312 72.644531 353.710938 76.003906 353.710938 80.144531 Z M 353.710938 80.144531 "
                  />
                  <path
                    fill="currentColor"
                    class="icon-secondary"
                    d="M 428.347656 199.871094 C 432.488281 199.871094 435.847656 196.511719 435.847656 192.371094 L 435.847656 87.644531 L 464.421875 87.644531 C 468.5625 87.644531 471.921875 84.285156 471.921875 80.144531 C 471.921875 76.003906 468.5625 72.644531 464.421875 72.644531 L 392.273438 72.644531 C 388.132812 72.644531 384.773438 76.003906 384.773438 80.144531 C 384.773438 84.285156 388.132812 87.644531 392.273438 87.644531 L 420.847656 87.644531 L 420.847656 192.371094 C 420.847656 196.511719 424.203125 199.871094 428.347656 199.871094 Z M 428.347656 199.871094 "
                  />
                  <path
                    fill="currentColor"
                    class="icon-primary"
                    d="M 7.5 111.695312 C 11.640625 111.695312 15 108.335938 15 104.195312 L 15 32.046875 C 15 22.921875 22.421875 15.5 31.546875 15.5 L 440.371094 15.5 C 444.511719 15.5 447.871094 12.140625 447.871094 8 C 447.871094 3.859375 444.511719 0.5 440.371094 0.5 L 31.546875 0.5 C 14.152344 0.5 0 14.652344 0 32.046875 L 0 104.195312 C 0 108.335938 3.359375 111.695312 7.5 111.695312 Z M 7.5 111.695312 "
                  />
                  <path
                    fill="currentColor"
                    class="icon-primary"
                    d="M 480.453125 0.5 L 472.433594 0.5 C 468.292969 0.5 464.933594 3.859375 464.933594 8 C 464.933594 12.140625 468.292969 15.5 472.433594 15.5 L 480.453125 15.5 C 489.578125 15.5 497 22.921875 497 32.046875 L 497 240.46875 C 497 249.59375 489.578125 257.015625 480.453125 257.015625 L 31.546875 257.015625 C 22.421875 257.015625 15 249.59375 15 240.46875 L 15 152.292969 C 15 147.585938 18.824219 143.757812 23.519531 143.757812 L 92.648438 143.757812 L 75.785156 153.875 C 72.234375 156.007812 71.082031 160.613281 73.214844 164.164062 C 74.617188 166.507812 77.101562 167.808594 79.652344 167.808594 C 80.964844 167.808594 82.296875 167.460938 83.503906 166.738281 L 123.585938 142.691406 C 125.84375 141.335938 127.226562 138.890625 127.226562 136.257812 C 127.226562 133.625 125.84375 131.183594 123.585938 129.828125 L 83.503906 105.78125 C 79.949219 103.648438 75.34375 104.800781 73.214844 108.351562 C 71.082031 111.902344 72.234375 116.511719 75.785156 118.640625 L 92.648438 128.757812 L 23.519531 128.757812 C 10.550781 128.757812 0 139.316406 0 152.289062 L 0 240.464844 C 0 257.863281 14.152344 272.015625 31.546875 272.015625 L 480.449219 272.015625 C 497.847656 272.015625 512 257.863281 512 240.464844 L 512 32.046875 C 512 14.652344 497.847656 0.5 480.453125 0.5 Z M 480.453125 0.5 "
                  />
                </g>
              </svg>
              <span class="link-text">logout</span>
            </nuxt-link>
          </li>
          <li v-if="!$store.state.store.isUserLoggedIn" class="nav-item">
            <nuxt-link class="nav-link nav-link-login" to="/">
              <svg viewBox="0 0 512 512">
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="m504.501 341.993c4.141 0 7.499-3.357 7.499-7.499v-239.256c0-9.648-7.849-17.497-17.497-17.497h-330.478c-9.648 0-17.497 7.849-17.497 17.497v110.287c-72.428 40.236-126.556 109.688-146.194 192.727-1.259 5.323 1.107 10.665 5.887 13.294 4.744 2.617 10.558 1.789 14.402-2.153 13.105-13.424 27.718-25.391 43.433-35.568 3.476-2.251 4.469-6.893 2.218-10.369-2.252-3.478-6.893-4.47-10.37-2.218-13.635 8.829-26.485 18.929-38.318 30.109 27.828-100.525 109.345-178.355 211.262-201.351v12.673c0 4.142 3.357 7.499 7.499 7.499 4.141 0 7.499-3.357 7.499-7.499v-44.118l102.416 101.299-102.417 101.3v-124.487c0-4.142-3.357-7.499-7.499-7.499-4.141 0-7.499 3.357-7.499 7.499v83.46c-9.407-.999-18.915-1.509-28.371-1.509-40.012 0-78.483 8.657-114.344 25.731-3.739 1.78-5.327 6.255-3.547 9.993 1.786 3.778 6.338 5.312 9.994 3.547 17.375-8.272 35.406-14.434 53.948-18.487v77.364c0 9.648 7.849 17.497 17.497 17.497h330.478c9.648 0 17.497-7.849 17.497-17.497v-46.811c0-4.142-3.357-7.499-7.499-7.499-4.141 0-7.499 3.357-7.499 7.499v46.811c0 1.379-1.121 2.5-2.5 2.5h-99.582v-326.523h99.582c1.378 0 2.5 1.121 2.5 2.5v239.257c.002 4.14 3.359 7.497 7.5 7.497zm-342.975 74.769v-80.154c5.954-.922 11.951-1.652 17.997-2.146v84.799h-15.497c-1.379.001-2.5-1.12-2.5-2.499zm32.994 2.5v-85.57c1.982-.045 3.966-.081 5.957-.081 9.461 0 18.975.545 28.371 1.604v34.319c0 4.652 2.774 8.817 7.068 10.609 1.439.601 2.946.893 4.44.893 2.965-.001 5.875-1.152 8.076-3.328l110.892-109.681c2.201-2.176 3.413-5.08 3.413-8.175 0-3.096-1.212-6-3.413-8.175l-110.893-109.685c-3.31-3.272-8.223-4.227-12.515-2.434-4.293 1.793-7.068 5.957-7.068 10.609v24.474c-11.707 2.502-23.165 5.689-34.328 9.52v-58.429h185.404v293.529h-185.404zm185.404-308.527h-192.903c-4.141 0-7.499 3.357-7.499 7.499v71.529c-6.099 2.467-12.103 5.123-17.997 7.973v-102.498c0-1.379 1.121-2.5 2.5-2.5h215.898v17.997z"
                />
                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="m463.077 248.748c-3.183-9.974-12.536-17.219-23.551-17.219-13.629 0-24.718 11.088-24.718 24.717s11.088 24.718 24.718 24.718c11.016 0 20.368-7.245 23.551-17.22h8.567c4.141 0 7.499-3.357 7.499-7.499s-3.357-7.499-7.499-7.499h-8.567zm-23.552 17.22c-5.36 0-9.72-4.36-9.72-9.721 0-5.359 4.361-9.72 9.72-9.72s9.72 4.361 9.72 9.72c.001 5.36-4.36 9.721-9.72 9.721z"
                />
              </svg>
              <span class="link-text">login</span>
            </nuxt-link>
          </li>
          <li class="nav-item has-dropdown">
            <ul class="dropdown">
              <li class="dropdown-item" @click="changeToSystem">
                <svg class="icon-system" width="50" w viewBox="0 0 512 512">
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M458.367,278.917h-82.263c-4.144,0-7.503,3.359-7.503,7.503s3.359,7.503,7.503,7.503h82.263
			              c4.144,0,7.503-3.359,7.503-7.503C465.87,282.275,462.511,278.917,458.367,278.917z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M289.639,47.668H41.493c-6.445,0-11.688,5.243-11.688,11.688v50.747c0,4.144,3.359,7.503,7.503,7.503
                    c4.144,0,7.503-3.359,7.503-7.503V62.675h241.51v47.429c0,4.144,3.359,7.503,7.503,7.503s7.503-3.359,7.503-7.503V59.357
                    C301.327,52.912,296.084,47.668,289.639,47.668z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M293.824,142.616c-4.144,0-7.503,3.359-7.503,7.503v47.428H44.811v-47.428c0-4.144-3.359-7.503-7.503-7.503
                    c-4.144,0-7.503,3.359-7.503,7.503v50.746c0,6.445,5.243,11.688,11.688,11.688h248.145c6.445,0,11.689-5.243,11.689-11.688
                    v-50.746C301.327,145.975,297.968,142.616,293.824,142.616z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="M501.87,306.391h-12.015c0.001-0.069,0.01-0.137,0.01-0.206V116.646c0-8.388-6.824-15.212-15.212-15.212H359.817
                    c-8.388,0-15.212,6.824-15.212,15.212v189.539c0,0.07,0.01,0.137,0.011,0.206h-88.157v-15.558c0-6.571-5.346-11.917-11.917-11.917
                    H205.55l-4.812-20.393h109.607c11.461,0,20.786-9.325,20.786-20.786V38.011c0-11.462-9.325-20.787-20.786-20.787H20.787
                    C9.325,17.224,0,26.548,0,38.011v199.726c0,11.461,9.325,20.786,20.787,20.786h109.606l-4.812,20.393H86.59
                    c-6.571,0-11.917,5.346-11.917,11.917v15.558H11.518c-5.585,0-10.129,4.544-10.129,10.13v37.132c0,5.585,4.544,10.13,10.129,10.13
                    h36.57v123.492c0,4.144,3.359,7.503,7.503,7.503s7.503-3.359,7.503-7.503V363.783h20.341v45.156
                    c0,9.393,7.642,17.035,17.035,17.035h311.059c9.393,0,17.036-7.642,17.036-17.035v-45.156h20.341v123.492
                    c0,4.144,3.359,7.503,7.503,7.503s7.503-3.359,7.503-7.503V363.783h37.959c5.585,0,10.13-4.545,10.13-10.13V316.52
                    C512,310.934,507.455,306.391,501.87,306.391z M359.816,116.439h114.837c0.113,0,0.206,0.093,0.206,0.206v189.539
                    c0,0.113-0.093,0.206-0.206,0.206H359.817c-0.113,0-0.206-0.093-0.206-0.206V116.646h-0.001
                    C359.61,116.532,359.703,116.439,359.816,116.439z M20.787,243.517c-3.188,0-5.781-2.593-5.781-5.781V38.011
                    c0-3.188,2.593-5.781,5.781-5.781h289.559c3.188,0,5.78,2.594,5.78,5.781v199.726c0,3.188-2.593,5.781-5.78,5.781H20.787z
                    M190.132,278.916H141l4.811-20.393h39.51L190.132,278.916z M89.679,293.923h151.774v12.469H89.679V293.923z M413.56,383.29
                    H172.085c-4.144,0-7.503,3.359-7.503,7.503s3.359,7.503,7.503,7.503H413.56v10.642c0,1.119-0.91,2.029-2.03,2.029H100.47
                    c-1.119,0-2.03-0.911-2.03-2.029v-10.642h32.821c4.144,0,7.503-3.359,7.503-7.503s-3.359-7.503-7.503-7.503H98.44v-19.508h315.12
                    V383.29z M496.994,348.777h-480.6v-27.38h480.6V348.777z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M452.919,126.11h-71.368c-7.14,0-12.95,5.81-12.95,12.95v12.529c0,7.14,5.81,12.95,12.95,12.95h71.368
                    c7.141,0,12.951-5.81,12.951-12.95v-12.529C465.87,131.921,460.06,126.11,452.919,126.11z M450.865,149.534h-67.258v-8.418h67.258
                    V149.534z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M452.919,170.663h-71.368c-7.14,0-12.95,5.81-12.95,12.951v12.529c0,7.14,5.81,12.95,12.95,12.95h71.368
                    c7.141,0,12.951-5.81,12.951-12.95v-12.529C465.87,176.473,460.06,170.663,452.919,170.663z M450.865,194.087h-67.258v-8.419
                    h67.258V194.087z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M417.235,221.542c-12.785,0-23.187,10.401-23.187,23.187c0,12.785,10.401,23.186,23.187,23.186
                    c12.785,0,23.186-10.401,23.186-23.186C440.421,231.943,430.02,221.542,417.235,221.542z M417.236,252.91
                    c-4.511,0-8.182-3.67-8.182-8.181c0-4.511,3.67-8.182,8.182-8.182c4.51,0,8.181,3.671,8.181,8.182
                    C425.417,249.238,421.747,252.91,417.236,252.91z"
                  />
                </svg>
              </li>
              <li class="dropdown-item" @click="changeToLight">
                <svg class="icon-sun" viewBox="0 0 512 512" width="50">
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m256 115.967c-77.214 0-140.033 62.819-140.033 140.033 0 32.03 10.526 62.177 30.441 87.18 2.581 3.24 7.298 3.774 10.54 1.194 3.24-2.581 3.774-7.299 1.194-10.539-17.778-22.32-27.174-49.234-27.174-77.835 0-68.943 56.09-125.033 125.033-125.033s125.032 56.09 125.032 125.033-56.09 125.033-125.033 125.033c-28.603 0-55.52-9.398-77.84-27.179-3.239-2.581-7.958-2.047-10.539 1.193s-2.047 7.958 1.193 10.539c25.004 19.918 55.152 30.446 87.186 30.446 77.214 0 140.033-62.819 140.033-140.033s-62.819-140.032-140.033-140.032z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m256 97.834c4.142 0 7.5-3.358 7.5-7.5v-26.417c0-4.142-3.358-7.5-7.5-7.5s-7.5 3.358-7.5 7.5v26.417c0 4.142 3.358 7.5 7.5 7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m256 41.417c4.142 0 7.5-3.358 7.5-7.5v-26.417c0-4.142-3.358-7.5-7.5-7.5s-7.5 3.358-7.5 7.5v26.417c0 4.142 3.358 7.5 7.5 7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m133.553 144.159c1.464 1.464 3.384 2.197 5.303 2.197s3.839-.732 5.303-2.197c2.929-2.929 2.929-7.678 0-10.606l-58.572-58.572c-2.929-2.929-7.678-2.929-10.606 0-2.929 2.929-2.929 7.678 0 10.606z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m97.834 256c0-4.142-3.358-7.5-7.5-7.5h-82.834c-4.142 0-7.5 3.358-7.5 7.5s3.358 7.5 7.5 7.5h82.834c4.142 0 7.5-3.358 7.5-7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m133.553 367.841-58.572 58.572c-2.929 2.929-2.929 7.678 0 10.606 1.464 1.464 3.384 2.197 5.303 2.197s3.839-.732 5.303-2.197l58.572-58.572c2.929-2.929 2.929-7.678 0-10.607-2.929-2.928-7.678-2.928-10.606.001z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m256 414.167c-4.142 0-7.5 3.358-7.5 7.5v82.833c0 4.142 3.358 7.5 7.5 7.5s7.5-3.358 7.5-7.5v-82.833c0-4.143-3.358-7.5-7.5-7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m378.447 367.841c-2.929-2.929-7.678-2.929-10.606 0-2.929 2.929-2.929 7.678 0 10.607l58.572 58.572c1.464 1.464 3.384 2.197 5.303 2.197 1.92 0 3.839-.732 5.303-2.197 2.929-2.929 2.929-7.678 0-10.606z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m504.5 248.5h-82.833c-4.142 0-7.5 3.358-7.5 7.5s3.358 7.5 7.5 7.5h82.833c4.142 0 7.5-3.358 7.5-7.5s-3.358-7.5-7.5-7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m373.144 146.356c1.919 0 3.839-.732 5.303-2.197l58.572-58.572c2.929-2.929 2.929-7.678 0-10.606-2.929-2.929-7.678-2.929-10.606 0l-58.572 58.572c-2.929 2.929-2.929 7.678 0 10.606 1.464 1.465 3.384 2.197 5.303 2.197z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m185.673 105.814c1.197 2.888 3.989 4.632 6.932 4.632.956 0 1.929-.184 2.867-.573 3.827-1.585 5.644-5.973 4.059-9.799l-15.85-38.264c-1.586-3.827-5.974-5.644-9.799-4.059-3.827 1.585-5.644 5.973-4.059 9.799z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m61.81 183.682 38.264 15.85c.938.389 1.911.573 2.867.573 2.943 0 5.736-1.744 6.932-4.632 1.585-3.827-.232-8.214-4.059-9.799l-38.264-15.85c-3.826-1.584-8.214.232-9.799 4.059-1.585 3.826.232 8.213 4.059 9.799z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m109.873 316.528c-1.585-3.827-5.973-5.644-9.799-4.059l-38.264 15.85c-3.827 1.585-5.644 5.973-4.059 9.799 1.196 2.888 3.989 4.632 6.932 4.632.957 0 1.929-.184 2.867-.573l38.264-15.85c3.827-1.585 5.644-5.973 4.059-9.799z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m195.472 402.127c-3.826-1.585-8.214.232-9.799 4.059l-15.85 38.264c-1.585 3.827.232 8.214 4.059 9.799.939.389 1.911.573 2.867.573 2.943 0 5.736-1.744 6.932-4.632l15.85-38.264c1.585-3.826-.232-8.214-4.059-9.799z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m326.327 406.186c-1.585-3.827-5.973-5.644-9.799-4.059-3.827 1.585-5.644 5.973-4.059 9.799l15.85 38.264c1.197 2.888 3.989 4.632 6.932 4.632.957 0 1.929-.184 2.867-.573 3.827-1.585 5.644-5.973 4.059-9.799z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m450.19 328.318-38.264-15.85c-3.826-1.585-8.214.232-9.799 4.059s.232 8.214 4.059 9.799l38.264 15.85c.939.389 1.911.573 2.867.573 2.943 0 5.736-1.744 6.932-4.632 1.585-3.826-.232-8.213-4.059-9.799z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m402.127 195.472c1.196 2.888 3.989 4.632 6.932 4.632.956 0 1.929-.184 2.867-.573l38.264-15.85c3.827-1.585 5.644-5.973 4.059-9.799-1.585-3.827-5.973-5.643-9.799-4.059l-38.264 15.85c-3.827 1.585-5.644 5.972-4.059 9.799z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m316.528 109.873c.939.389 1.911.573 2.867.573 2.943 0 5.736-1.744 6.932-4.632l15.85-38.264c1.585-3.827-.232-8.214-4.059-9.799s-8.214.232-9.799 4.059l-15.85 38.264c-1.585 3.826.232 8.214 4.059 9.799z"
                  />
                </svg>
              </li>
              <li class="dropdown-item" @click="changeToDark">
                <svg class="icon-moon" viewBox="0 0 512 512" width="50">
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m123.467 31.566h9.066v9.067c0 4.143 3.357 7.5 7.5 7.5s7.5-3.357 7.5-7.5v-9.067h9.066c4.143 0 7.5-3.357 7.5-7.5s-3.357-7.5-7.5-7.5h-9.066v-9.066c0-4.143-3.357-7.5-7.5-7.5s-7.5 3.357-7.5 7.5v9.066h-9.066c-4.143 0-7.5 3.357-7.5 7.5s3.357 7.5 7.5 7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m388.533 480.434h-9.066v-9.067c0-4.143-3.357-7.5-7.5-7.5s-7.5 3.357-7.5 7.5v9.067h-9.067c-4.143 0-7.5 3.357-7.5 7.5s3.357 7.5 7.5 7.5h9.066v9.066c0 4.143 3.357 7.5 7.5 7.5s7.5-3.357 7.5-7.5v-9.066h9.066c4.143 0 7.5-3.357 7.5-7.5s-3.356-7.5-7.499-7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m139.25 305.7c0-13.271-10.796-24.066-24.066-24.066s-24.068 10.796-24.068 24.066 10.797 24.066 24.067 24.066 24.067-10.795 24.067-24.066zm-24.066 9.067c-5 0-9.067-4.067-9.067-9.066s4.067-9.066 9.067-9.066c4.999 0 9.066 4.067 9.066 9.066s-4.067 9.066-9.066 9.066z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m131.75 263.5c13.27 0 24.066-10.796 24.066-24.066s-10.796-24.067-24.066-24.067-24.066 10.797-24.066 24.067 10.795 24.066 24.066 24.066zm0-33.134c4.999 0 9.066 4.067 9.066 9.067 0 4.999-4.067 9.066-9.066 9.066s-9.066-4.067-9.066-9.066 4.067-9.067 9.066-9.067z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m462.3 255.666c-.011-6.411-4.423-11.787-10.729-13.074-6.296-1.279-12.45 1.93-14.968 7.814-21.044 49.196-69.145 80.929-122.624 80.929-.117 0-.242-.001-.359-.001-73.116-.195-132.759-59.838-132.953-132.953-.143-53.619 31.623-101.894 80.929-122.983 5.884-2.518 9.097-8.672 7.812-14.968-1.287-6.306-6.663-10.718-13.087-10.729h-.321c-49.345 0-97.096 17.697-134.458 49.832-3.141 2.701-3.496 7.437-.796 10.577 2.702 3.142 7.437 3.495 10.577.796 32.781-28.195 74.191-44.403 117.316-46.063-50.804 24.916-83.125 76.527-82.973 133.577.217 81.343 66.569 147.696 147.913 147.914.134 0 .266.001.4.001 56.893-.002 108.324-32.289 133.18-82.979-3.882 102.084-88.141 183.944-191.159 183.944-8.348 0-16.77-.549-25.034-1.632-.476-.062-.641-.589-.663-.892-.071-.97-.205-1.953-.397-2.922-2.131-10.735-11.224-18.696-22.113-19.359-8.759-.518-17.137 3.747-21.829 11.172-.079.126-.434.221-.782.082-19.635-7.83-37.752-18.818-53.85-32.661-3.139-2.701-7.875-2.346-10.576.797-2.701 3.141-2.344 7.876.797 10.576 17.356 14.926 36.895 26.776 58.071 35.221 7.049 2.812 15.046.287 19.021-6.003 1.768-2.799 4.926-4.42 8.236-4.211 4.024.245 7.52 3.318 8.311 7.308.073.371.125.742.151 1.102.562 7.652 6.185 13.683 13.673 14.664 8.908 1.167 17.986 1.759 26.983 1.759 113.754 0 206.3-92.546 206.3-206.3v-.335z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="m64.7 256c0-45.757 16.409-90.035 46.205-124.677 2.7-3.141 2.345-7.876-.796-10.577-3.14-2.7-7.875-2.346-10.577.796-32.135 37.362-49.832 85.113-49.832 134.458 0 49.343 17.699 97.092 49.837 134.451 1.483 1.724 3.58 2.608 5.688 2.608 1.732 0 3.473-.597 4.889-1.815 3.14-2.701 3.495-7.436.794-10.577-29.798-34.637-46.208-78.912-46.208-124.667z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m463.083 381.033c-4.143 0-7.5 3.357-7.5 7.5v16.567c0 4.143 3.357 7.5 7.5 7.5s7.5-3.357 7.5-7.5v-16.566c0-4.143-3.357-7.501-7.5-7.501z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m463.083 447.3c-4.143 0-7.5 3.357-7.5 7.5v16.566c0 4.143 3.357 7.5 7.5 7.5s7.5-3.357 7.5-7.5v-16.566c0-4.143-3.357-7.5-7.5-7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m504.5 422.45h-16.566c-4.143 0-7.5 3.357-7.5 7.5s3.357 7.5 7.5 7.5h16.566c4.143 0 7.5-3.357 7.5-7.5s-3.357-7.5-7.5-7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m438.233 422.45h-16.566c-4.143 0-7.5 3.357-7.5 7.5s3.357 7.5 7.5 7.5h16.566c4.143 0 7.5-3.357 7.5-7.5s-3.357-7.5-7.5-7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m48.917 64.7c4.143 0 7.5-3.357 7.5-7.5v-16.566c0-4.143-3.357-7.5-7.5-7.5s-7.5 3.357-7.5 7.5v16.566c0 4.143 3.357 7.5 7.5 7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m56.417 123.467v-16.567c0-4.143-3.357-7.5-7.5-7.5s-7.5 3.357-7.5 7.5v16.566c0 4.143 3.357 7.5 7.5 7.5s7.5-3.357 7.5-7.499z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m73.767 89.55h16.566c4.143 0 7.5-3.357 7.5-7.5s-3.357-7.5-7.5-7.5h-16.566c-4.143 0-7.5 3.357-7.5 7.5 0 4.142 3.357 7.5 7.5 7.5z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="m24.066 74.55h-16.566c-4.143 0-7.5 3.357-7.5 7.5s3.357 7.5 7.5 7.5h16.566c4.143 0 7.5-3.357 7.5-7.5s-3.357-7.5-7.5-7.5z"
                  />
                </svg>
              </li>
              <li class="dropdown-item" @click="changeToSepia">
                <svg class="icon-sepia" viewBox="0 0 512 512" width="50">
                  <path
                    fill="currentColor"
                    class="icon-settings-primary"
                    d="M479.74,428.551h-72.42c-4.143,0-7.5,3.358-7.5,7.5c0,4.142,3.357,7.5,7.5,7.5h64.92v4.231l-109.206,20.739H144.126
                    L34.92,447.782v-4.231h29.82c0.012,0,0.024,0.002,0.035,0.002c0.009,0,0.019-0.002,0.028-0.002h27.022
                    c0.009,0,0.017,0.002,0.026,0.002c0.014,0,0.029-0.002,0.043-0.002h89.917c0.005,0,0.01,0.001,0.016,0.001
                    c0.005,0,0.009-0.001,0.014-0.001h26.795c0.008,0,0.016,0.002,0.024,0.002s0.017-0.002,0.025-0.002h89.79
                    c0.009,0,0.017,0.002,0.025,0.002s0.016-0.002,0.023-0.002h80.946c4.143,0,7.5-3.358,7.5-7.5c0-4.142-3.357-7.5-7.5-7.5h-48.376
                    c8.957-5.692,17.316-12.358,24.831-19.868c10.847-10.852,19.752-23.126,26.558-36.396c9.484,3.863,19.526,5.824,29.937,5.824
                    c43.925,0,79.66-35.74,79.66-79.67c0-43.925-35.735-79.66-79.66-79.66c-4.76,0-9.476,0.431-14.11,1.262v-4.291
                    c0-9.6-7.81-17.41-17.409-17.41h-35.471c-4.143,0-7.5,3.358-7.5,7.5c0,4.142,3.357,7.5,7.5,7.5H380.9
                    c1.328,0,2.409,1.081,2.409,2.41v12.75h-259.47v-12.75c0-1.329,1.081-2.41,2.41-2.41h191.32c4.143,0,7.5-3.358,7.5-7.5
                    c0-4.142-3.357-7.5-7.5-7.5h-191.32c-9.6,0-17.41,7.81-17.41,17.41v90.58c0,11.312,1.323,22.527,3.901,33.42
                    c-12.207-3.64-26.753-0.78-40.025,8.301c-3.419,2.339-4.295,7.006-1.956,10.425c2.34,3.418,7.008,4.293,10.426,1.955
                    c8.698-5.951,17.826-8.287,25.374-6.775L79.241,394.53c-2.302,3.444-1.376,8.102,2.067,10.403c1.28,0.856,2.729,1.266,4.161,1.266
                    c2.421,0,4.797-1.17,6.242-3.333l27.326-40.886c2.834,4.207,4.387,9.712,4.46,16.128c0,0.003,0,0.005,0,0.008
                    c0,0.014,0.001,0.028,0.001,0.042c0.101,9.908-3.361,20.625-9.746,30.177c-3.64,5.447-7.944,10.118-12.818,13.902
                    c-3.379,2.646-6.929,4.763-10.566,6.314H66.675c-0.271-0.162-0.541-0.325-0.81-0.507c-12.487-8.34-13.277-29.909-1.799-49.104
                    c2.126-3.555,0.968-8.161-2.587-10.287c-3.553-2.124-8.16-0.968-10.286,2.588c-7.317,12.235-10.891,25.867-10.063,38.386
                    c0.47,7.103,2.329,13.504,5.389,18.923H27.42c-4.143,0-7.5,3.358-7.5,7.5v17.94c0,3.603,2.562,6.696,6.101,7.368l110.29,20.945
                    v22.196c0,4.142,3.357,7.5,7.5,7.5h219.528c4.143,0,7.5-3.358,7.5-7.5v-22.194l110.3-20.947c3.539-0.672,6.101-3.766,6.101-7.368
                    v-17.94C487.24,431.909,483.882,428.551,479.74,428.551z M398.308,306.33v-35.484h0.001c4.346-2.231,9.152-3.415,14.11-3.415
                    c17.099,0,31.01,13.911,31.01,31.01s-13.911,31.01-31.01,31.01c-5.449,0-10.694-1.415-15.353-4.083
                    C397.884,319.106,398.308,312.751,398.308,306.33z M394.218,340.705c5.702,2.462,11.862,3.747,18.201,3.747
                    c25.37,0,46.01-20.64,46.01-46.01s-20.64-46.01-46.01-46.01c-4.84,0-9.588,0.757-14.11,2.214v-18.567
                    c0-0.026,0.004-0.051,0.004-0.077s-0.004-0.051-0.004-0.077v-0.589c4.604-1.028,9.33-1.555,14.111-1.555
                    c35.653,0,64.66,29.006,64.66,64.66c0,35.659-29.007,64.67-64.66,64.67c-8.269,0-16.24-1.541-23.783-4.538
                    C390.884,352.758,392.743,346.79,394.218,340.705z M123.839,243.502h259.47v23.086c0,0.008,0,0.017,0,0.025v39.718
                    c0,34.654-13.493,67.237-37.991,91.745c-13.573,13.564-30.197,24.076-48.133,30.475h-87.201c-2.419-0.861-4.826-1.787-7.203-2.8
                    c5.503-8.652,7.6-18.278,5.789-27.452c-0.002-0.012-0.003-0.023-0.005-0.035c-0.003-0.014-0.008-0.028-0.01-0.042
                    c-2.391-11.935-10.824-21.755-23.752-27.653c-12.11-5.525-26.911-6.955-41.678-4.023c-1.343,0.267-2.674,0.572-3.994,0.907
                    c-10.011-18.714-15.292-39.718-15.292-61.121V243.502z M126.225,416.669c6.943-10.388,11.133-22.037,12.069-33.325
                    c2.516-0.848,5.104-1.559,7.755-2.087c19.083-3.788,37.483,1.954,44.82,12.878l-48.2,9.581c-4.063,0.808-6.702,4.755-5.895,8.818
                    c0.71,3.569,3.843,6.039,7.349,6.039c0.484,0,0.977-0.047,1.47-0.146l48.23-9.588c-0.962,4.934-3.712,9.88-8.117,14.424
                    c-0.012,0.012-0.023,0.025-0.034,0.037c-1.837,1.885-3.914,3.64-6.176,5.249h-63.061
                    C120.03,425.004,123.309,421.033,126.225,416.669z M355.839,497.001H151.31v-13.48h204.529V497.001z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M273.097,149.949c-0.136,0.086-0.247,0.155-0.327,0.206C272.845,150.107,272.955,150.038,273.097,149.949z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M272.77,150.154C272.57,150.28,272.595,150.264,272.77,150.154L272.77,150.154z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M289.335,81.868c10.1-9.6,15.917-22.903,15.917-37.183c0-17.775-8.998-34.048-24.07-43.532
                    c-3.505-2.206-8.138-1.152-10.342,2.354c-2.206,3.506-1.152,8.136,2.354,10.342c10.682,6.721,17.059,18.248,17.059,30.835
                    c0,12.587-6.377,24.114-17.059,30.835c-4.585,2.876-4.585,9.81,0,12.696c10.682,6.721,17.059,18.248,17.059,30.835
                    c0.001,12.588-6.376,24.116-17.058,30.837c-0.039,0.024-0.064,0.04-0.098,0.062c0.032-0.02,0.063-0.039,0.098-0.061
                    c-3.506,2.206-4.56,6.836-2.354,10.342c1.425,2.266,3.862,3.507,6.354,3.507c1.365,0,2.747-0.373,3.987-1.153
                    c15.072-9.483,24.07-25.757,24.07-43.531C305.252,104.771,299.434,91.468,289.335,81.868z M277.107,147.425
                    C277.284,147.314,277.306,147.3,277.107,147.425L277.107,147.425z M276.13,148.041c0.164-0.104,0.316-0.199,0.453-0.285
                    C276.452,147.838,276.305,147.931,276.13,148.041z"
                  />

                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M333.964,75.521c-3.505-2.206-8.137-1.153-10.342,2.354c-2.206,3.505-1.152,8.136,2.354,10.342
                    c10.681,6.721,17.058,18.249,17.058,30.836c0.001,12.585-6.376,24.113-17.057,30.834c-3.506,2.206-4.56,6.836-2.354,10.342
                    c1.425,2.266,3.862,3.507,6.354,3.507c1.365,0,2.747-0.373,3.987-1.153c15.071-9.483,24.069-25.757,24.069-43.531
                    S349.035,85.004,333.964,75.521z"
                  />
                  <path
                    fill="currentColor"
                    class="icon-settings-secondary"
                    d="M224.079,75.52c-3.505-2.206-8.138-1.152-10.342,2.354c-2.206,3.506-1.152,8.136,2.354,10.342
                    c10.682,6.721,17.059,18.248,17.059,30.835c0.001,12.587-6.376,24.115-17.058,30.836c-3.506,2.206-4.56,6.836-2.354,10.342
                    c1.425,2.266,3.862,3.507,6.354,3.507c1.365,0,2.747-0.373,3.987-1.153c15.072-9.483,24.07-25.757,24.07-43.531
                    C248.149,101.277,239.151,85.004,224.079,75.52z"
                  />
                </svg>
              </li>
            </ul>
            <a class="nav-link nav-link-settings">
              <svg viewBox="0 0 512 512">
                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="M328.844,368.733c-5.383-3.235-10.908-6.487-16.433-9.675c1.299-11.07,1.302-22.268,0.006-33.316
                  c5.546-3.2,11.068-6.45,16.425-9.671c9.02-5.42,12.78-16.856,8.744-26.603c0,0,0,0-0.001-0.001l-11.771-28.418
                  c-4.037-9.744-14.777-15.175-24.993-12.63c-6.071,1.511-12.274,3.118-18.455,4.776c-6.901-8.732-14.82-16.649-23.563-23.554
                  c1.658-6.182,3.266-12.388,4.778-18.461c2.545-10.211-2.885-20.955-12.629-24.992l-28.418-11.771
                  c-9.744-4.038-21.183-0.281-26.605,8.741c-3.229,5.374-6.482,10.899-9.674,16.433c-11.067-1.299-22.263-1.302-33.316-0.007
                  c-3.202-5.551-6.453-11.074-9.67-16.426c-5.424-9.02-16.86-12.778-26.605-8.741l-28.418,11.771
                  c-9.742,4.036-15.174,14.781-12.629,24.992c1.515,6.085,3.121,12.289,4.776,18.455c-8.731,6.899-16.649,14.82-23.553,23.563
                  c-6.196-1.663-12.402-3.269-18.463-4.779c-10.214-2.547-20.956,2.888-24.993,12.631L1.615,289.467
                  c-4.035,9.745-0.276,21.182,8.742,26.602c5.375,3.23,10.9,6.482,16.433,9.675c-1.298,11.066-1.301,22.262-0.006,33.316
                  c-5.538,3.195-11.06,6.446-16.429,9.672c-9.018,5.421-12.777,16.857-8.741,26.603l11.772,28.418
                  c4.036,9.743,14.775,15.176,24.993,12.63c6.064-1.51,12.268-3.116,18.453-4.776c6.901,8.731,14.82,16.647,23.563,23.553
                  c-1.66,6.189-3.267,12.395-4.778,18.461c-2.545,10.211,2.885,20.956,12.629,24.992l28.419,11.772
                  c2.64,1.093,5.403,1.615,8.137,1.615c7.362,0,14.514-3.779,18.471-10.355c3.205-5.333,6.456-10.856,9.674-16.432
                  c11.065,1.297,22.264,1.299,33.316,0.006c3.179,5.512,6.43,11.034,9.67,16.427c5.422,9.02,16.858,12.777,26.605,8.741
                  l28.418-11.771c9.742-4.036,15.174-14.781,12.629-24.992c-1.503-6.033-3.109-12.237-4.776-18.455
                  c8.729-6.899,16.648-14.819,23.554-23.562c6.178,1.657,12.384,3.263,18.46,4.777c10.211,2.547,20.956-2.884,24.993-12.63
                  l11.771-28.419C341.621,385.59,337.862,374.153,328.844,368.733z M305.116,413.834c-5.837-1.462-11.787-3.008-17.703-4.602
                  c-8.376-2.253-17.215,0.692-22.519,7.507c-6.096,7.83-13.151,14.886-20.968,20.973c-6.807,5.302-9.748,14.138-7.493,22.509
                  c1.603,5.954,3.148,11.9,4.601,17.696l-26.122,10.819c-3.107-5.184-6.218-10.481-9.259-15.765
                  c-4.327-7.514-12.655-11.678-21.216-10.618c-9.831,1.221-19.81,1.22-29.654-0.005c-8.585-1.066-16.906,3.098-21.232,10.614
                  c-3.078,5.344-6.19,10.644-9.263,15.773l-26.122-10.82c1.461-5.827,3.007-11.776,4.603-17.701
                  c2.255-8.375-0.692-17.215-7.507-22.52c-7.83-6.095-14.885-13.149-20.973-20.965c-5.3-6.809-14.136-9.749-22.51-7.495
                  c-5.923,1.595-11.87,3.141-17.695,4.601l-10.82-26.121c5.16-3.094,10.459-6.205,15.765-9.26
                  c7.515-4.327,11.683-12.653,10.619-21.215c-1.223-9.832-1.22-19.81,0.003-29.655c1.068-8.57-3.097-16.905-10.616-21.233
                  c-5.304-3.054-10.604-6.166-15.772-9.265l10.82-26.121c5.82,1.459,11.768,3.005,17.702,4.602
                  c8.372,2.256,17.212-0.692,22.52-7.507c6.095-7.83,13.15-14.886,20.965-20.972c6.808-5.301,9.749-14.138,7.494-22.512
                  c-1.59-5.904-3.136-11.85-4.601-17.694l26.122-10.819c3.084,5.146,6.196,10.444,9.259,15.765
                  c4.328,7.515,12.663,11.689,21.216,10.618c9.827-1.223,19.804-1.223,29.657,0.005c8.575,1.068,16.905-3.102,21.231-10.617
                  c3.053-5.304,6.166-10.604,9.262-15.771l26.122,10.819c-1.462,5.833-3.008,11.782-4.603,17.703
                  c-2.255,8.374,0.692,17.214,7.507,22.519c7.829,6.095,14.885,13.149,20.973,20.965c5.3,6.807,14.133,9.748,22.511,7.494
                  c5.919-1.594,11.865-3.14,17.694-4.601l10.819,26.121c-5.153,3.089-10.451,6.2-15.765,9.26
                  c-7.515,4.327-11.684,12.654-10.619,21.216c1.223,9.827,1.221,19.806-0.005,29.657c-1.066,8.571,3.101,16.904,10.617,21.231
                  c5.296,3.049,10.596,6.161,15.772,9.263L305.116,413.834z"
                />

                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="M241.762,312.511c0,0,0,0-0.001-0.001c-16.48-39.789-62.256-58.752-102.051-42.271
                  C99.922,286.721,80.958,332.501,97.44,372.29c7.983,19.276,22.997,34.287,42.271,42.272c9.637,3.991,19.763,5.987,29.889,5.987
                  s20.252-1.996,29.891-5.987C239.279,398.08,258.242,352.301,241.762,312.511z M190.72,393.388c-13.618,5.641-28.617,5.64-42.239,0
                  c-13.618-5.641-24.225-16.249-29.867-29.868c-11.647-28.114,1.753-60.462,29.868-72.107c6.885-2.852,14.021-4.202,21.047-4.202
                  c21.667,0,42.265,12.84,51.06,34.07C232.234,349.395,218.834,381.742,190.72,393.388z"
                />

                <path
                  fill="currentColor"
                  class="icon-primary"
                  d="M496.553,100.936c-3.956-0.592-8.019-1.167-12.111-1.713c-2.062-6.857-4.816-13.505-8.214-19.819
                  c2.504-3.275,4.972-6.556,7.357-9.779c5.295-7.161,4.529-17.317-1.78-23.623l-15.808-15.806
                  c-6.309-6.31-16.465-7.075-23.624-1.778c-3.234,2.393-6.514,4.86-9.779,7.355c-6.313-3.398-12.96-6.152-19.819-8.215
                  c-0.547-4.092-1.12-8.155-1.712-12.11C409.746,6.642,402.024,0,393.102,0h-22.356c-8.922,0-16.644,6.642-17.961,15.447
                  c-0.591,3.953-1.165,8.017-1.712,12.11c-6.859,2.063-13.507,4.817-19.819,8.215c-3.263-2.496-6.545-4.964-9.778-7.355
                  c-7.161-5.297-17.317-4.532-23.624,1.777l-15.806,15.805c-6.31,6.308-7.077,16.465-1.78,23.627
                  c2.383,3.222,4.851,6.504,7.354,9.778c-3.396,6.313-6.151,12.96-8.214,19.819c-4.091,0.547-8.155,1.121-12.11,1.713
                  c-8.807,1.318-15.449,9.039-15.449,17.962v22.355c0,8.922,6.64,16.644,15.447,17.962c3.956,0.592,8.019,1.167,12.111,1.713
                  c2.063,6.858,4.817,13.505,8.214,19.819c-2.501,3.272-4.969,6.552-7.357,9.779c-5.294,7.159-4.529,17.317,1.78,23.622
                  l15.808,15.808c6.308,6.31,16.464,7.074,23.624,1.778c3.234-2.391,6.514-4.86,9.778-7.354c6.315,3.398,12.963,6.152,19.82,8.214
                  c0.545,4.091,1.12,8.155,1.712,12.111c1.318,8.806,9.04,15.448,17.962,15.448h22.356c8.922,0,16.644-6.64,17.961-15.449
                  c0.591-3.956,1.165-8.019,1.712-12.111c6.858-2.061,13.505-4.817,19.819-8.215c3.263,2.496,6.545,4.964,9.778,7.356
                  c7.159,5.297,17.317,4.532,23.624-1.777l15.808-15.806c6.309-6.308,7.075-16.465,1.778-23.626
                  c-2.386-3.226-4.854-6.508-7.354-9.777c3.396-6.313,6.151-12.959,8.214-19.819c4.091-0.547,8.155-1.121,12.11-1.713
                  c8.807-1.318,15.449-9.039,15.449-17.962v-22.355C512,109.976,505.359,102.254,496.553,100.936z M490.228,138.142
                  c-3.592,0.521-7.257,1.027-10.934,1.506c-7.273,0.949-13.227,6.111-15.165,13.149c-1.857,6.739-4.552,13.242-8.009,19.328
                  c-3.611,6.353-3.054,14.215,1.419,20.032c2.255,2.932,4.492,5.883,6.669,8.799l-11.404,11.405
                  c-2.925-2.183-5.876-4.419-8.802-6.669c-5.814-4.475-13.678-5.028-20.032-1.421c-6.087,3.458-12.59,6.153-19.325,8.01
                  c-7.042,1.94-12.204,7.894-13.15,15.165c-0.479,3.677-0.984,7.343-1.506,10.935h-16.13c-0.521-3.592-1.026-7.257-1.506-10.931
                  c-0.949-7.274-6.11-13.228-13.15-15.168c-6.737-1.856-13.238-4.551-19.327-8.009c-6.354-3.61-14.218-3.055-20.031,1.419
                  c-2.927,2.251-5.876,4.486-8.803,6.669l-11.404-11.405c2.177-2.919,4.413-5.868,6.671-8.803c4.47-5.815,5.027-13.677,1.417-20.03
                  c-3.457-6.086-6.152-12.59-8.009-19.327c-1.939-7.04-7.892-12.201-15.165-13.15c-3.677-0.48-7.343-0.984-10.935-1.507v-16.128
                  c3.592-0.521,7.257-1.027,10.934-1.506c7.273-0.949,13.227-6.111,15.165-13.149c1.857-6.738,4.551-13.241,8.009-19.328
                  c3.611-6.353,3.054-14.216-1.417-20.031c-2.259-2.936-4.495-5.886-6.67-8.8l11.404-11.405c2.925,2.183,5.875,4.419,8.8,6.668
                  c5.812,4.475,13.675,5.033,20.034,1.422c6.085-3.457,12.589-6.152,19.325-8.01c7.042-1.94,12.204-7.894,13.15-15.165
                  c0.48-3.677,0.986-7.342,1.507-10.934h16.13c0.521,3.591,1.026,7.256,1.505,10.931c0.949,7.274,6.111,13.228,13.15,15.167
                  c6.738,1.857,13.242,4.553,19.328,8.01c6.355,3.611,14.218,3.05,20.03-1.42c2.927-2.25,5.876-4.486,8.803-6.669l11.404,11.405
                  c-2.175,2.915-4.411,5.866-6.67,8.803c-4.471,5.814-5.027,13.676-1.419,20.029c3.457,6.088,6.152,12.592,8.009,19.328
                  c1.939,7.04,7.892,12.201,15.165,13.15c3.677,0.48,7.343,0.985,10.935,1.507V138.142z"
                />

                <path
                  fill="currentColor"
                  class="icon-secondary"
                  d="M381.924,83.675c-25.585,0-46.401,20.815-46.401,46.401c0,25.587,20.815,46.402,46.401,46.402
			            s46.401-20.815,46.401-46.402C428.325,104.49,407.51,83.675,381.924,83.675z M381.924,155.851
		            	c-14.211,0-25.775-11.563-25.775-25.776c0-14.213,11.563-25.775,25.775-25.775c14.212,0,25.774,11.563,25.775,25.775
		            	C407.699,144.288,396.136,155.851,381.924,155.851z"
                />
              </svg>
              <span class="link-text">Settings</span>
            </a>
          </li>
        </ul>
      </nav>
    </header>
    <dialog-login v-if="show_dialog" />
  </div>
</template>

<script>
import DialogLogin from '@/components/DialogLogin'

export default {
  name: 'AppSidebar',
  components: {
    DialogLogin
  },
  methods: {
    logout() {
      this.$store.commit('store/setToken', null)
      this.$store.commit('store/setUser', null)
    },
    changeToSystem() {
      this.$colorMode.preference = 'system'
      this.$vuetify.theme.dark = true
    },
    changeToLight() {
      this.$colorMode.preference = 'light'
      this.$vuetify.theme.dark = false
    },
    changeToDark() {
      this.$colorMode.preference = 'dark'
      this.$vuetify.theme.dark = true
    },
    changeToSepia() {
      this.$colorMode.preference = 'sepia'
      this.$vuetify.theme.dark = false
    }
  },
  data() {
    return {
      show_dialog: false,
      dialog_login: false
    }
  }
}
</script>

<style scoped>
body {
  margin-left: 0;
}

.navbar {
  position: fixed;
  background-color: var(--bg-primary);
  transition: width var(--transition-speed) ease;
  z-index: 2;
  overflow: hidden;
}

.navbar-nav {
  list-style: none;
  padding: 0;
  margin: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 100%;
}

.nav-item {
  width: 100%;
}

.nav-item:nth-last-child(2) {
  margin-top: auto;
}

.nav-link {
  display: flex;
  align-items: center;
  height: var(--width-sidebar);
  color: var(--text-primary);
  text-decoration: none;
  filter: grayscale(100%) opacity(0.7);
  transition: var(--transition-speed);
}

.nav-link-settings {
  cursor: pointer;
  user-select: none;
}

.nav-link:hover {
  filter: grayscale(0%) opacity(1);
  background: var(--bg-secondary);
  color: var(--text-secondary);
}

.link-text {
  display: none;
  margin-left: 1rem;
  text-transform: uppercase;
}

.nav-link svg {
  width: 2rem;
  min-width: 2rem;
  margin: 0 1.5rem;
}

.icon-primary {
  color: var(--accent-light);
}

.icon-secondary {
  color: var(--accent-dark);
}

.icon-primary,
.icon-secondary {
  transition: var(--transition-speed);
}

.logo {
  font-weight: bold;
  text-transform: uppercase;
  margin-bottom: 1rem;
  text-align: center;
  color: var(--text-secondary);
  background: var(--bg-secondary);
  width: 100%;
}

.logo svg {
  transform: rotate(0deg);
  transition: var(--transition-speed);
}

.logo-text {
  display: inline;
  position: absolute;
  transition: var(--transition-speed);
}

.navbar:hover .logo svg {
  transform: rotate(180deg);
}

.dropdown {
  position: absolute;
  width: var(--width-sidebar-hover);
  visibility: hidden;
  opacity: 0;
  border: 2px solid var(--bg-secondary);
  bottom: calc(var(--width-sidebar));
  height: calc(var(--width-sidebar));
  background: var(--bg-primary);
  display: flex;
  flex-direction: row;
  list-style: none;
  padding-left: 0 !important;
  transition: calc(var(--transition-speed) / 2);
}

.dropdown-item {
  color: var(--text-primary);
  height: 100%;
  width: 100%;
  display: flex;
  justify-content: center;
  z-index: 2;
  cursor: pointer;
  filter: grayscale(100%) opacity(0.7);
}

.has-dropdown:hover .dropdown {
  opacity: 1;
  visibility: initial;
}

.dropdown-item:hover,
.dropdown-item:hover svg {
  filter: grayscale(0%) opacity(1);
  background: var(--bg-secondary);
  color: var(--accent-light);
}

.dropdown-item:hover > li {
  filter: grayscale(0%) opacity(1);
  background: var(--bg-secondary);
  color: var(--accent-light);
}

.icon-settings-primary {
  color: var(--accent-light);
}

.icon-settings-secondary {
  color: var(--accent-dark);
}

/* Small screens */
@media only screen and (max-width: 813px) {
  body {
    margin-left: -5rem;
  }
  .navbar {
    bottom: 0;
    width: 100vw;
    height: var(--height-sidebar);
  }

  .logo {
    display: none;
  }

  .navbar-nav {
    flex-direction: row;
  }

  .nav-link {
    justify-content: center;
  }

  .nav-link-login {
    padding-bottom: 1rem;
  }

  .nav-link svg {
    width: 50px;
    height: 100%;
  }

  .icon-impressum {
    font-size: 20pt;
    padding-left: initial;
  }

  main {
    margin: 0;
  }

  .dropdown {
    z-index: 2;
    width: 100vw;
    bottom: 0;
    right: 0;
  }

  .has-dropdown {
    z-index: 1;
  }

  .dropdown-item {
    padding-top: 1rem;
  }
}

/* Large screens */
@media only screen and (min-width: 813px) {
  .navbar {
    top: 0;
    width: var(--width-sidebar);
    height: 100vh;
  }

  .navbar:hover {
    width: var(--width-sidebar-hover);
  }

  .navbar:hover .link-text {
    display: inline;
  }

  .navbar:hover .logo svg {
    margin-left: 11rem;
  }

  .navbar:hover .logo-text {
    left: 0px;
  }
}
</style>
